%define upstream_name    Test-Harness-Straps
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Internal Test::Harness Iterator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildArch: noarch


%description
The construct

  use if CONDITION, MODULE => ARGUMENTS;

has no effect unless 'CONDITION' is true. In this case the effect is the
same as of

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-9.mga6
+ Revision: 1034294
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.300.0-8.mga6
+ Revision: 949598
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.300.0-7.mga5
+ Revision: 790061
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-6.mga5
+ Revision: 739391
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 686453
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-4.mga4
+ Revision: 515131
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-3.mga3
+ Revision: 373561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.300.0-2.mga1
+ Revision: 27112
- mageia rebuild
- imported package perl-Test-Harness-Straps

